<?php require_once "header.php" ?>

<h1><?= $user->getFirstName() . " " . $user->getSurname() ?></h1>

<?php if ($user->getRole() == Role::PARTICIPANT || $user->getRole() == Role::ENCADRANT) { ?>
	Équipe : <?= $team === null ? "Pas d'équipe" : "<a href=\"$URL_BASE/equipe/" . $team->getTrigram() . "\">" . $team->getName() . " (" . $team->getTrigram() . ")</a>" ?><br />
<?php } ?>

<?php if ($user->getRole() == Role::PARTICIPANT) { ?>
	Lycée : <?= $user->getSchool() ?><br />
	Classe : <?= SchoolClass::getTranslatedName($user->getClass()) ?><br />
<?php } elseif ($user->getDescription() != "") { ?>
	Description : <?= $user->getDescription() ?><br />
<?php }

echo "<hr />";

if ($user->getRole() == Role::PARTICIPANT || $user->getRole() == Role::ENCADRANT) { ?>
	<h2>Autorisations</h2>
    <?php
    printDocuments($documents);
}

require_once "footer.php";