<?php
require_once "header.php";

if ($has_error)
    echo "<h2>Erreur : " . $error_message . "</h2>";

elseif (isset($my_account) || isset($new_password)) {
	?>
	<h2>Votre compte a bien été mis à jour !</h2>
	<?php
	if (isset($my_account) && $user->getEmail() != $my_account->email) {
		echo "Votre adresse mail a bien été changée. Veuillez vérifier votre boîte mail pour valider votre nouvelle adresse, vous en aurez besoin pour vous reconnecter.";
	}
	?>
<?php } ?>

<form method="POST">
	<input type="hidden" name="submitted" value="true"/>
	<table style="width: 100%">
		<tr>
			<td style="width: 30%"><label for="email">E-mail :</label></td>
			<td style="width: 70%"><?= $user->getEmail() ?></td>
		</tr>
		<tr>
			<td colspan="2"><input style="width: 100%" type="email" id="email" name="email"/></td>
		</tr>
		<tr>
			<td><label for="surname">Nom :</label></td>
			<td><?= $user->getSurname() ?></td>
		</tr>
		<tr>
			<td colspan="2"><input style="width: 100%" type="text" id="surname" name="surname"/></td>
		</tr>
		<tr>
			<td><label for="firstname">Prénom :</label></td>
			<td><?= $user->getFirstName() ?></td>
		</tr>
		<tr>
			<td colspan="2"><input style="width: 100%" type="text" id="firstname" name="firstname"/></td>
		</tr>
		<?php if ($user->getRole() == Role::PARTICIPANT) { ?>
			<tr>
				<td><label for="school">Établissement dans lequel l'élève étudie :</label></td>
				<td><?= $user->getSchool() ?></td>
			</tr>
			<tr>
				<td colspan="2"><input style="width: 100%" type="text" id="school" name="school"/></td>
			</tr>
			<tr>
				<td><label for="class">Classe :</label></td>
				<td><select style="width: 100%" id="class" name="class">
						<option value="terminale" <?php if ($user->getClass() == SchoolClass::TERMINALE) echo "selected" ?>><?= SchoolClass::getTranslatedName(SchoolClass::TERMINALE) ?></option>
						<option value="premiere" <?php if ($user->getClass() == SchoolClass::PREMIERE) echo "selected" ?>><?= SchoolClass::getTranslatedName(SchoolClass::PREMIERE) ?></option>
						<option value="seconde" <?php if ($user->getClass() == SchoolClass::SECONDE) echo "selected" ?>><?= SchoolClass::getTranslatedName(SchoolClass::SECONDE) ?></option>
					</select></td>
			</tr>
		<?php } else { ?>
			<tr>
				<td><label for="description">Description :</label></td>
				<td><textarea style="width: 100%" id="description" name="description"><?= $user->getDescription() ?></textarea></td>
			</tr>
		<?php } ?>
		<tr>
			<td colspan="2"><input type="submit" style="width: 100%" value="Mettre à jour mes données"/></td>
		</tr>
	</table>
</form>

<div style="padding: 20px"></div>

<form method="POST">
	<input type="hidden" name="submitted_password" value="true"/>
	<table style="width: 100%">
		<tr>
			<td style="width: 30%"><label for="old_password">Ancien mot de passe :</label></td>
			<td style="width: 70%"><input style="width: 100%" type="password" id="old_password" name="old_password"/></td>
		</tr>
		<tr>
			<td><label for="new_password">Nouveau mot de passe :</label></td>
			<td><input style="width: 100%" type="password" id="new_password" name="new_password"/></td>
		</tr>
		<tr>
			<td><label for="confirm_password">Confirmer le mot de passe :</label></td>
			<td><input style="width: 100%" type="password" id="confirm_password" name="confirm_password"/></td>
		</tr>
		<tr>
			<td colspan="2"><input type="submit" style="width: 100%" value="Mettre à jour mon mot de passe"/></td>
		</tr>
	</table>
</form>

<?php require_once "footer.php" ?>